org.apache.pdfbox.pdmodel.interactive.form

## Interface ScriptingHandler

    public interface ScriptingHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `calculate(PDActionJavaScript javaScriptAction, String value)` Handle the fields calculate event action.
`String` `format(PDActionJavaScript javaScriptAction, String value)` Handle the fields format event action.
`String` `keyboard(PDActionJavaScript javaScriptAction, String value)` Handle the fields keyboard event action.
`boolean` `validate(PDActionJavaScript javaScriptAction, String value)` Handle the fields validate event action.

### Method Detail

#### keyboard

    String keyboard(PDActionJavaScript javaScriptAction,
                    String value)

Handle the fields keyboard event action.

Parameters:
  `javaScriptAction` - the keyboard event action script
  `value` - the current field value
Returns:
  the resulting field value

#### format

    String format(PDActionJavaScript javaScriptAction,
                  String value)

Handle the fields format event action.

Parameters:
  `javaScriptAction` - the format event action script
  `value` - the current field value
Returns:
  the formatted field value

#### validate

    boolean validate(PDActionJavaScript javaScriptAction,
                     String value)

Handle the fields validate event action.

Parameters:
  `javaScriptAction` - the validate event action script
  `value` - the current field value
Returns:
  the result of the validity check

#### calculate

    String calculate(PDActionJavaScript javaScriptAction,
                     String value)

Handle the fields calculate event action.

Parameters:
  `javaScriptAction` - the calculate event action script
  `value` - the current field value
Returns:
  the result of the field calculation